
Redmine - Feature #26575

Add update info at the bottom of the wiki page

2017-07-30 02:42 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version: 4.0.0   

Resolution: Fixed   

Description

 

Associated revisions

Revision 16905 - 2017-07-29 10:01 - Jean-Philippe Lang

Add update info at the bottom of the wiki page.

Revision 16906 - 2017-07-29 10:03 - Jean-Philippe Lang

Adds label_x_revisions string to locales.

Revision 17388 - 2018-06-16 16:33 - Jean-Philippe Lang

Add links to the user name and date on wiki update info (#26575).

Patch by Marius BALTEANU.

Revision 17509 - 2018-09-23 15:55 - Jean-Philippe Lang

User label_revision instead of label_version for wiki edits (#26575).

Revision 17510 - 2018-09-23 15:58 - Jean-Philippe Lang

Remove link to current version, already present in the page breadcrumb (#26575).

Revision 17513 - 2018-09-23 16:12 - Jean-Philippe Lang

Use label_revision instead of label_version for wiki edits (#26575).

Revision 17660 - 2018-11-29 17:36 - Jean-Philippe Lang

Restore History link at the top of a wiki page (#26575).

Revision 17678 - 2018-12-02 08:34 - Jean-Philippe Lang

Moves some action links on the wiki page to a dropdown menu (#26575).

2025-05-02 1/5



History

#1 - 2017-07-30 02:44 - Go MAEDA

- Category set to Wiki

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 4.0.0

Implemented in r16905.

#2 - 2017-08-06 15:33 - Marius BĂLTEANU

- File 26575_add_links_to_user_and_to_date.patch added

- File before.png added

- File after.png added

I propose to add some links to the user name and date (for consistency with other screens).

Before:

 before.png 

After:

 after.png 

#3 - 2017-08-07 03:32 - Go MAEDA

Marius BALTEANU wrote:

I propose to add some links to the user name and date (for consistency with other screens).

 +1

time_tag is really needed to know detailed updated time.

#4 - 2017-08-23 12:25 - Toshi MARUYAMA

- Status changed from Resolved to New

#5 - 2018-06-08 09:26 - Yasukazu Nagatomi

+1

#6 - 2018-06-08 10:19 - Bernhard Rohloff

+1

#7 - 2018-06-16 16:33 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

Patch committed, thanks.

#8 - 2018-09-18 16:14 - Alexander Ryabinovskiy

- File redmine_wiki_version.png added

Hello.

I am trying to translate "label_x_revisions" in .yml and I have a question.

Why did you called this label "revisions" (like in "Repository" module) but not "versions" (like in wiki history) ?
https://www.redmine.org/projects/redmine/repository/svn/revisions/16905


redmine_wiki_version.PNG 

#9 - 2018-09-18 16:43 - Go MAEDA

- Status changed from Closed to Reopened

#10 - 2018-09-23 15:59 - Jean-Philippe Lang

- Status changed from Reopened to Closed
Wiki history now uses "Revisions" only.

#11 - 2018-09-24 07:51 - Go MAEDA

- File redmine-3_4@2x.png added

- File redmine-4_0-without-icon@2x.png added

- File redmine-4_0-with-icon@2x.png added

- Status changed from Closed to Reopened

I think that showing the familiar "history" icon is better. If there is the icon, users can find the important link easily and can understand that the "X

revisions" is the link that they used to call "History" link.

Without the icon, users may not be able to find this feature and misunderstand that "History" has been removed.

Index: app/views/wiki/show.html.erb

===================================================================

--- app/views/wiki/show.html.erb        (revision 17516)

+++ app/views/wiki/show.html.erb        (working copy)

@@ -74,7 +74,7 @@

 <% if User.current.allowed_to?(:view_wiki_edits, @project) %>

 <p class="wiki-update-info">

   <%= wiki_content_update_info(@content) %>

- · <%= link_to l(:label_x_revisions, :count => @content.version), {:action => 'history', :id => @page.title} 

%>

+ · <%= link_to l(:label_x_revisions, :count => @content.version), {:action => 'history', :id => @page.title},

 {:class => 'icon icon-history'} %>

 </p>

 <% end %>

 Redmine 3.4:

We had an icon beside the History link.

 redmine-3_4@2x.png 

The current trunk (Redmine 3.4.6.devel.17516):

"History" was changed to "X revisions" and the icon was removed.

 

The current trunk with the proposing patch:

Adding the icon is intuitive and consistent with older versions.

 redmine-4_0-with-icon@2x.png 

#12 - 2018-09-24 11:27 - Erik E

Would it be confusing/a problem to keep the "History" button above? I think the information below is a great addition, but the button on the top would

allow easy access to the history (without the need to scroll down)- and all other "control" elements are there, too.

As an imho: In that case I'd drop the icon below, I think it looks more elegant. But I am not an UI/UX expert ;-)

#13 - 2018-11-09 16:54 - Vasili Korol

I am +1 for keeping the "History" link at the top, in addition to the new controls at the bottom.

#14 - 2018-11-14 10:44 - Jérôme BATAILLE

Hi, Sound good to me to keep it.

#15 - 2018-11-29 17:36 - Jean-Philippe Lang

- Status changed from Reopened to Closed

History link restored at the top of the page.
Files

wiki-update-info@2x.png 32.3 KB 2017-07-30 Go MAEDA

26575_add_links_to_user_and_to_date.patch 521 Bytes 2017-08-06 Marius BĂLTEANU

after.png 57.3 KB 2017-08-06 Marius BĂLTEANU

before.png 56.4 KB 2017-08-06 Marius BĂLTEANU

redmine_wiki_version.png 22.2 KB 2018-09-18 Alexander Ryabinovskiy

redmine-3_4@2x.png 68.8 KB 2018-09-24 Go MAEDA

redmine-4_0-without-icon@2x.png 57.4 KB 2018-09-24 Go MAEDA

redmine-4_0-with-icon@2x.png 82.1 KB 2018-09-24 Go MAEDA
